Brick API Documentation
string · requiredinteger · int32 · requiredstringinteger
string · requiredinteger
string · requiredstring · requiredintegerstring
Generate Dynamic QRIS
POST
https://sandbox.onebrick.io/v2/payments/general
/qris/dynamic
Standalone APIs for clients to consume of QRIS product. This API will help clients to create new dynamic QRIS for clients.
Generate Dynamic QRIS › Request Body
referenceIdUnique reference of Transactions from client side(Maximum length of 25 characters)
amountAmount that clients wants to transfer
validityPeriodMinimum 600 seconds (10 minutes), maximum 86,400 seconds (24 hours) from the creation time. If not set, the default value will be 86,400 seconds (24 hours)
Generate Dynamic QRIS › Responses
200
statusDefault: 0
object
object
errorStatus for Dynamic QRIS
GET
https://sandbox.onebrick.io/v2/payments/general
/qris/dynamic/{referenceId}
This APIs will help clients to initialise the status update from their side, They have to pass on the transactions referenceId and gets the update.
path Parameters
referenceIdUnique referenceId of Transactions
Status for Dynamic QRIS › Responses
200
statusDefault: 0
object
object
errorQRIS Testing in Sandbox
POST
https://sandbox.onebrick.io/v2/payments/general
/qris/update-status-sandbox
This API only for testing purpose and can only works in sandbox environment.
QRIS Testing in Sandbox › Request Body
referenceIdUnique referenceId of Transactions
statusThe status that want to be achieved (PAID/COMPLETED)
Default: PAID/COMPLETED
QRIS Testing in Sandbox › Responses
200
statusDefault: 0
dataobject
error